Bug 1013519 - Custom type - provide simple form extensibility
Custom type - provide simple form extensibility
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Form Modeler (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER5
: 6.0.0
Assigned To: Pere Fernàndez
Tomas Livora
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 05:17 EDT by Pedro Zapata
Modified: 2014-08-06 16:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:08:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Zapata 2013-09-30 05:17:58 EDT
Description of problem:
UIs will require a lot of features that are not currently covered by the version of the form modeler. 

Implementators will certainly request to add their own fields or form controls to perform custom tasks. Current programming interface to do that is complex, and therefore, a simpler version is required.

Develop a simple custom type that a customer can plug a custom implementation of a simple base class or interface to hook into the form lifecycle for binding, rendering and validation.
Comment 3 Tomas Livora 2013-12-09 08:13:13 EST
Verified on BPMS 6.0.0.ER5

Note You need to log in before you can comment on or make changes to this bug.